Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client
Class GuiIdMismatchScreen

    java.lang.Object
      net.minecraft.client.gui.Gui
          net.minecraft.client.gui.GuiScreen
              net.minecraft.client.gui.GuiYesNo
                  cpw.mods.fml.client.GuiIdMismatchScreen

    public class GuiIdMismatchScreen

extends GuiYesNo

Field Summary

Fields inherited from class net.minecraft.client.gui.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiIdMismatchScreen(com.google.common.collect.MapDifference<Integer,ItemData> idDifferences, boolean allowContinue)`

Method Summary
`void` | `confirmClicked(boolean choice, int par2)`
`void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.

Methods inherited from class net.minecraft.client.gui.GuiYesNo
`initGui`

Methods inherited from class net.minecraft.client.gui.GuiScreen
`doesGuiPauseGame, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, onGuiClosed, setClipboardString, setWorldAndResolution, updateScreen`

Methods inherited from class net.minecraft.client.gui.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiIdMismatchScreen

    public GuiIdMismatchScreen(com.google.common.collect.MapDifference<Integer,ItemData> idDifferences,
                               boolean allowContinue)

Method Detail

### confirmClicked

    public void confirmClicked(boolean choice,
                               int par2)

  Overrides:
    `confirmClicked` in class `GuiScreen`

### drawScreen

    public void drawScreen(int par1,
                           int par2,
                           float par3)

  Description copied from class: `GuiYesNo`
  Draws the screen and all the components in it.

  Overrides:
    `drawScreen` in class `GuiYesNo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD